{
  "version": 1,
  "author": "Anonymous maker",
  "editor": "wokwi",
  "parts": [
    {
      "type": "board-esp32-s3-devkitc-1",
      "id": "esp",
      "top": -444.73,
      "left": 117.28,
      "rotate": 90,
      "attrs": { "builder": "rust-nostd-esp" }
    },
    {
      "type": "wokwi-neopixel-canvas",
      "id": "tail-display",
      "top": -243.8,
      "left": -668.5,
      "attrs": { "rows": "1", "cols": "88", "matrixBrightness": "1" }
    },
    {
      "type": "wokwi-neopixel-canvas",
      "id": "left-panel-display-top",
      "top": -585.15,
      "left": 23.46,
      "rotate": 25,
      "attrs": { "rows": "1", "cols": "14", "matrixBrightness": "1" }
    },
    {
      "type": "wokwi-neopixel-canvas",
      "id": "left-panel-display-bottom",
      "top": -455.61,
      "left": -54.63,
      "rotate": -5,
      "attrs": { "rows": "1", "cols": "17", "matrixBrightness": "1" }
    },
    {
      "type": "wokwi-neopixel-canvas",
      "id": "right-panel-display-top",
      "top": -25.09,
      "left": 4.14,
      "rotate": -25,
      "attrs": { "rows": "1", "cols": "14", "matrixBrightness": "1" }
    },
    {
      "type": "wokwi-neopixel-canvas",
      "id": "right-panel-display-bottom",
      "top": -156.7,
      "left": -71.83,
      "rotate": 5,
      "attrs": { "rows": "1", "cols": "17", "matrixBrightness": "1" }
    },
    {
      "type": "wokwi-neopixel-canvas",
      "id": "headlight-display",
      "top": -311,
      "left": -669.7,
      "attrs": { "rows": "1", "cols": "28", "matrixBrightness": "1" }
    },
    {
      "type": "wokwi-mpu6050",
      "id": "imu1",
      "top": -409.82,
      "left": 329.32,
      "rotate": -90,
      "attrs": {}
    },
    {
      "type": "wokwi-neopixel-meter",
      "id": "meter1",
      "top": -364.8,
      "left": 480,
      "attrs": { "pixels": "16" }
    },
    { "type": "wokwi-vcc", "id": "vcc1", "top": -440.84, "left": 249.6, "attrs": {} },
    { "type": "wokwi-gnd", "id": "gnd1", "top": -374.4, "left": 306.6, "attrs": {} }
  ],
  "connections": [
    [ "esp:TX", "$serialMonitor:RX", "", [] ],
    [ "esp:RX", "$serialMonitor:TX", "", [] ],
    [ "esp:4", "imu1:SCL", "yellow", [ "v-38.45", "h105.6" ] ],
    [ "esp:3", "imu1:SDA", "yellow", [ "v-28.85", "h192" ] ],
    [ "esp:5", "headlight-display:DIN", "red", [ "v-19.25", "h-570.6" ] ],
    [
      "headlight-display:DOUT",
      "left-panel-display-bottom:DIN",
      "green",
      [ "v28.8", "h374.4", "v-153.6", "h125.73" ]
    ],
    [
      "left-panel-display-bottom:DOUT",
      "left-panel-display-top:DIN",
      "yellow",
      [ "v-67.2", "h52" ]
    ],
    [ "left-panel-display-top:DOUT", "right-panel-display-bottom:DIN", "blue", [ "h0" ] ],
    [
      "left-panel-display-bottom:DOUT",
      "right-panel-display-top:DIN",
      "orange",
      [ "v240", "h42.4" ]
    ],
    [ "right-panel-display-top:DOUT", "tail-display:DIN", "purple", [ "h0" ] ],
    [ "vcc1:VCC", "imu1:VCC", "red", [ "v0" ] ],
    [ "gnd1:GND", "imu1:GND", "black", [ "v0" ] ]
  ],
  "serialMonitor": { "display": "terminal", "convertEol": false },
  "dependencies": {}
}